.review-date,
.text-h2,
h1,
h2,
h3,
h4 {
    font-weight: 600
}

.search-bar,
.user-menu {
    cursor: pointer;
    transition: var(--transition)
}

.search-bar:hover,
.show-all-btn:hover,
.user-menu:hover {
    box-shadow: var(--shadow-hover)
}

.property-title,
.reviews-header h2,
.text-h2 {
    font-family: var(--font-third)
}

.text-h2 {
    font-size: 22px
}

.text-h3 {
    font-size: var(--size-h3)
}

.price-booking-period,
.text-secondary {
    color: var(--text-secondary)
}

.text-small {
    font-size: var(--size-small)
}

.spacer-32 {
    width: 32px;
    height: 32px
}

.flex-column,
.sticky-footer-left {
    display: flex;
    flex-direction: column
}

.gap-12 {
    gap: 12px
}

.gap-16 {
    gap: 16px
}

.gap-24 {
    gap: 24px
}

.border-divider {
    border-bottom: 1px solid var(--border-main)
}

.padding-bottom-24 {
    padding-bottom: 24px
}

.calendar-header,
.margin-bottom-24 {
    margin-bottom: 24px
}

.footer-column-title,
.margin-bottom-16 {
    margin-bottom: 16px
}

.margin-bottom-4 {
    margin-bottom: 4px
}

.booking-sidebar,
.relative {
    position: relative
}

.hidden-datepicker {
    position: absolute;
    opacity: 0;
    pointer-events: none
}

.container {
    max-width: 1120px;
    margin: 0 auto;
    padding: 0 var(--spacing-lg)
}

header {
    height: 80px;
    border-bottom: 1px solid var(--border-color);
    display: flex;
    align-items: center;
    position: sticky;
    top: 0;
    background: var(--bg-main);
    z-index: 1000
}

.nav-container {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center
}

.logo,
.search-bar {
    display: flex;
    align-items: center
}

.logo {
    color: var(--brand-color);
    font-size: 24px;
    font-weight: 700;
    text-decoration: none;
    gap: 8px
}

.search-bar {
    padding: 8px 16px;
    border: 1px solid var(--border-main);
    border-radius: 40px;
    box-shadow: var(--shadow-main)
}

.search-icon-circle,
.user-menu {
    align-items: center;
    display: flex
}

.search-info-main,
.search-info-secondary {
    border-right: 1px solid #ddd;
    font-weight: 500
}

.search-info-main {
    padding-right: 12px
}

.search-info-secondary {
    padding: 0 12px
}

.search-info-placeholder {
    color: var(--text-secondary);
    padding-left: 12px
}

.search-icon-circle {
    background: var(--brand-color);
    width: 32px;
    height: 32px;
    border-radius: 50%;
    justify-content: center;
    color: #fff;
    margin-left: 12px
}

.user-menu {
    gap: 12px;
    border: 1px solid var(--border-color);
    padding: 5px 5px 5px 12px;
    border-radius: 21px
}

.user-avatar-placeholder {
    background: #717171;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff
}

.title-section {
    padding: 24px 0;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    align-items: end
}

.property-title {
    font-size: 26px;
    margin-bottom: 8px
}

.pill-button-black,
.show-all-btn {
    font-size: 14px;
    transition: var(--transition);
    cursor: pointer
}

.share-btn-row {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    padding-top: 8px
}

.pill-button-black {
    display: flex;
    gap: 8px;
    align-items: center;
    font-weight: 500;
    background: var(--green);
    color: #fff;
    border: none;
    padding: 10px 24px;
    border-radius: 40px
}

.pill-button-black:hover {
    background: var(--text-dark)
}

.gallery-section {
    padding-top: var(--spacing-lg);
    position: relative
}

.gallery-grid {
    display: grid;
    grid-template-columns: 2fr 1fr 1fr;
    grid-template-rows: 200px 200px;
    gap: 10px;
    border-radius: var(--radius-md);
    overflow: hidden;
    height: 410px
}

.gallery-item {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: var(--transition);
    cursor: pointer
}

.gallery-item:hover {
    filter: brightness(.9)
}

.main-img {
    grid-row: span 2
}

.show-all-btn {
    position: absolute;
    bottom: 24px;
    right: 24px;
    background: #fff;
    border: 1px solid var(--text-dark);
    padding: 8px 16px;
    border-radius: 8px;
    font-weight: 600;
    display: flex;
    align-items: center;
    gap: 8px;
    box-shadow: 0 1px 2px rgba(0, 0, 0, .08);
    z-index: 5
}

.show-all-btn:hover {
    background: #f7f7f7
}

.content-layout {
    display: grid;
    grid-template-columns: 2fr 1fr;
    gap: 40px;
    padding-top: 50px
}

.property-info-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 24px;
    border-bottom: 1px solid var(--border-color)
}

.host-avatar {
    width: 56px;
    height: 56px;
    border-radius: 50%
}

.features-section {
    padding: 11px 0;
    border-bottom: 1px solid var(--green)
}

.feature-item {
    display: flex;
    gap: 19px;
    margin-bottom: 8px
}

.feature-item:last-child {
    margin-bottom: 0
}

.feature-icon {
    font-size: 24px
}

.feature-title {
    font-weight: 700;
    margin: 3px
}

.feature-desc,
.review-user-tenure {
    color: var(--text-secondary);
    font-size: 14px
}

.amenities-section,
.description-section {
    padding: 32px 0;
    border-bottom: 1px solid var(--border-color)
}

.description-text,
.review-text {
    line-height: 1.6
}

.text-underline-btn {
    background: 0 0;
    border: none;
    text-decoration: underline;
    font-weight: 600;
    cursor: pointer;
    padding-top: 16px;
    font-size: 16px
}

.amenities-list {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 16px;
    margin-top: var(--spacing-md)
}

.amenity-item {
    display: flex;
    align-items: center;
    gap: 12px;
    font-weight: 500;
    color: var(--bs-body-color)
}

.amenity-btn-all {
    border: 1px solid var(--green);
    background: var(--green);
    padding: 12px 24px;
    border-radius: 43px;
    font-weight: 600;
    margin-top: 32px;
    cursor: pointer;
    transition: .3s ease-in-out;
    color: var(--white)
}

.amenity-btn-all:hover,
.btn-show-all-reviews:hover {
    background: #f7f7f7;
    color: var(--green)
}

.booking-card {
    border: 1px solid #7e7e7e52;
    border-radius: 12px;
    padding: 24px;
    box-shadow: 0 6px 16px rgba(0, 0, 0, .12);
    position: sticky;
    top: 100px
}

.price-nightly {
    font-size: 22px;
    font-weight: 700
}

.booking-inputs-container {
    border: 1px solid #717171;
    border-radius: 8px;
    position: relative
}

.date-inputs-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    border-bottom: 1px solid #717171;
    cursor: pointer
}

.date-field-wrapper,
.guest-field-wrapper {
    padding: 10px;
    position: relative
}

.date-field-wrapper:first-child {
    border-right: 1px solid #717171
}

.input-label {
    display: block;
    font-size: 10px;
    font-weight: 700;
    text-transform: uppercase;
    cursor: pointer
}

.date-display {
    font-size: 14px
}

.calendar-icon-inline {
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    color: #717171;
    font-size: 14px
}

.offcanvas,
.offcanvas-overlay {
    position: fixed;
    height: 100%;
    width: 100%
}

.guest-select-input {
    width: 100%;
    border: none;
    outline: 0;
    font-size: 14px;
    padding: 4px 0;
    background: 0 0;
    cursor: pointer;
    color: var(--text-main);
    font-family: var(--font-body)
}

.btn-reserve {
    width: 100%;
    background: linear-gradient(to right, #e61e4d 0, #e31c5f 50%, #d70466 100%);
    color: #fff;
    border: none;
    padding: 14px;
    border-radius: var(--radius-sm);
    font-size: 16px;
    font-weight: 600;
    cursor: pointer;
    margin-top: var(--spacing-md)
}

.price-total-row,
footer {
    border-top: 1px solid var(--border-main)
}

.gallery-section {
    background: 0 0;
    padding: 0
}

.reserve-note {
    text-align: center;
    font-size: 14px;
    color: var(--text-secondary);
    margin-top: var(--spacing-sm)
}

.price-breakdown-list {
    margin-top: 24px;
    display: grid;
    gap: 12px;
    color: var(--brown);
    text-align: center !important;
    justify-content: center
}

.price-total-row {
    margin-top: 24px;
    padding-top: 24px;
    display: flex;
    justify-content: space-between;
    font-weight: 700;
    font-size: 18px
}

.price-item-row a {
    color: var(--bg-main) !important
}

.review-card button.show-more-link,
button.reserve-btn {
    color: var(--white)
}

footer {
    background: var(--bg-secondary);
    margin-top: 64px;
    padding: 48px 0
}

.footer-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 40px
}

.footer-links {
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 12px;
    font-size: 14px;
    color: #484848
}

.line-clamp-2,
.line-clamp-3 {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden
}

.line-clamp-2 {
    -webkit-line-clamp: 2
}

.line-clamp-3 {
    -webkit-line-clamp: 3
}

.line-clamp-2.expanded,
.line-clamp-3.expanded {
    -webkit-line-clamp: unset
}

.offcanvas-overlay {
    top: 0;
    left: 0;
    background: rgba(0, 0, 0, .5);
    z-index: 1000;
    display: none;
    opacity: 0;
    transition: opacity .3s
}

.offcanvas-overlay.active {
    display: block;
    opacity: 1
}

.offcanvas {
    top: 0;
    right: -100%;
    max-width: 580px;
    background: #fff;
    z-index: 1001;
    box-shadow: -4px 0 12px rgba(0, 0, 0, .1);
    transition: right .3s;
    padding: 24px;
    overflow-y: auto
}

.offcanvas.active {
    right: 0;
    visibility: visible !important;
    opacity: 1 !important;
    left: auto !important;
    display: block !important
}

.offcanvas-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 24px;
    position: sticky;
    top: 0;
    background: #fff;
    padding-bottom: 12px
}

.icon-btn-plain,
.offcanvas-close {
    background: 0 0;
    border: none;
    cursor: pointer
}

.offcanvas-close {
    font-size: 20px;
    padding: 8px
}

.calendar-section {
    padding: 48px 0
}

.calendar-header h2,
.map-section h2 {
    font-size: 22px;
    font-family: var(--font-third);
    margin-bottom: 4px
}

.calendar-footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 16px;
    padding-right: 24px
}

.icon-btn-plain {
    font-size: 18px
}

#inline-calendar .flatpickr-calendar {
    width: 100% !important;
    box-shadow: none;
    border: none
}

#inline-calendar .flatpickr-innerContainer {
    justify-content: center
}

#inline-calendar .flatpickr-months {
    padding: 0 10px
}

#inline-calendar .flatpickr-month {
    flex: 1
}

.reviews-section {
    padding: 48px 0;
    border-top: 1px solid var(--border-main);
    margin-top: 48px
}

.reviews-header {
    margin-bottom: 32px
}

.reviews-header h2 {
    font-size: 22px;
    display: flex;
    align-items: center;
    gap: 8px
}

.reviews-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 40px 80px;
    margin-bottom: 48px
}

.review-card {
    display: flex;
    flex-direction: column;
    background: var(--green);
    padding: 20px;
    border-radius: 5px;
    color: var(--bs-white);
    justify-content: space-around
}

.review-user-header {
    display: flex;
    align-items: center;
    gap: 16px;
    margin-bottom: 12px
}

.review-avatar {
    width: 48px;
    height: 48px;
    border-radius: 50%;
    background: var(--gold);
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 20px;
    color: var(--bs-body-bg);
    line-height: 48px
}

.review-user-name {
    font-weight: 600;
    font-size: 16px
}

.review-meta {
    display: flex;
    align-items: center;
    gap: 8px;
    margin-bottom: 8px;
    font-size: 14px
}

.stars {
    display: flex;
    gap: 2px;
    font-size: 10px
}

.show-more-link {
    background: 0 0;
    border: none;
    text-decoration: underline;
    font-weight: 600;
    cursor: pointer;
    font-size: 14px;
    margin-top: 8px;
    padding: 0;
    display: inline-block;
    width: fit-content
}

.btn-show-all-reviews {
    border: 1px solid var(--green);
    background: var(--green);
    padding: 13px 23px;
    border-radius: 30px;
    font-weight: 600;
    cursor: pointer;
    font-size: 16px;
    transition: .3s;
    color: var(--bs-body-bg)
}

.booking-sticky-footer,
.map-section {
    border-top: 1px solid var(--border-main)
}

#reviews-offcanvas .offcanvas-header {
    border-bottom: 1px solid var(--border-color);
    padding: 24px;
    margin-bottom: 0
}

#reviews-offcanvas .offcanvas-content {
    padding: 24px;
    gap: 10px;
    display: grid
}

.reviews-sidebar-list {
    display: flex;
    flex-direction: column;
    gap: 32px
}

.map-section {
    padding: 48px 0
}

.location-text {
    margin-bottom: 24px;
    font-size: 16px
}

#map {
    height: 480px;
    width: 100%;
    border-radius: var(--radius-md);
    z-index: 1
}

.leaflet-popup-content-wrapper {
    border-radius: 8px;
    font-family: var(--font-body)
}

button.reserve-btn {
    background: var(--gold);
    width: 100%;
    border: var(--gold);
    padding: 10px;
    margin: 10px 0 0;
    border-radius: 30px;
    font-weight: 600
}

@media (max-width:1120px) {
    .content-layout {
        gap: 40px
    }
}

@media (max-width:950px) {
    .content-layout {
        grid-template-columns: 1fr
    }

    .booking-card {
        position: static;
        margin-top: var(--spacing-xxl);
        box-shadow: none;
        border: 1px solid var(--border-main)
    }

    .booking-sticky-footer {
        display: flex
    }
}

@media (max-width:768px) {
    .amenities-section {
        padding-right: 10px
    }

    .gallery-grid {
        grid-template-columns: 1fr;
        grid-template-rows: repeat(1, 300px);
        height: auto;
        border-radius: 0;
        margin: 0 -24px;
        width: calc(100% + 48px)
    }

    .gallery-item:not(:first-child) {
        display: none
    }

    .main-img {
        grid-row: span 1;
        border-radius: 0
    }

    .show-all-btn {
        bottom: 16px;
        right: 16px
    }

    .reviews-grid {
        grid-template-columns: 1fr;
        gap: 32px
    }

    .calendar-section {
        overflow-x: auto
    }

    #inline-calendar .flatpickr-calendar {
        width: 100% !important;
        min-width: 300px
    }
}

.booking-sticky-footer {
    display: none;
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    background: #fff;
    padding: 16px 24px;
    justify-content: space-between;
    align-items: center;
    z-index: 1000;
    box-shadow: 0 -2px 10px rgba(0, 0, 0, .05)
}

.sticky-footer-price {
    font-size: 18px;
    font-weight: 700
}

.sticky-footer-dates {
    font-size: 14px;
    text-decoration: underline;
    color: var(--text-main)
}

.btn-mobile-reserve {
    background: var(--brand-gradient);
    color: #fff;
    padding: 12px 24px;
    border-radius: var(--radius-sm);
    font-weight: 600;
    border: none;
    font-size: 16px;
    cursor: pointer
}